<<< Previous |  | Next >>>

# FcFontRenderPrepare

## Name

FcFontRenderPrepare -- Prepare pattern for loading font file

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcPattern * `FcFontRenderPrepare``(FcConfig *`config`, FcPattern *`pat`, FcPattern *`font`);`

## Description

Creates a new pattern consisting of elements of `font` not appearing in `pat`, elements of `pat` not appearing in `font` and the best matching value from `pat` for elements appearing in both. The result is passed to FcConfigSubstituteWithPat with `kind` FcMatchFont and then returned.

<<< Previous | Home | Next >>>
FcFontSort | Up | FcFontList